Subject: Re: bug#35434: terminal emacs: continuation line indicator missing when word wrapping is enabled

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Apr 2019 15:10:04 +0300

> From: Luis Gerhorst <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 26 Apr 2019 13:49:08 +0200
> 
> > Would you perhaps like to describe the idea behind the patch you
> > would like to submit before actually coding it?  This could avoid
> > the need to rework it more than necessary.
> 
> Code-wise I have no idea yet ;)
> 
> My initial approach would be to have a look at the patches that
> introduced word wrapping in the first place. If I'm lucky they
> modified the GUI code to still show the fringe indicators, but
> simply missed the TUI code.
> 
> However, I've not read any Emacs C code ever. I'll look into it and
> come back when I unserstand the problem.

Look at the function produce_special_glyphs in xdisp.c.

I think showing the continuation glyphs on TTY frames in word-wrap
mode should be optional, controlled by a user variable, since the
current behavior is unchanged since Emacs 23.

Thanks.